Bug 17548 - Step 1 of memberentry explodes
Summary: Step 1 of memberentry explodes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low critical (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 15407
Blocks: 17521
  Show dependency treegraph
 
Reported: 2016-11-04 09:18 UTC by Jonathan Druart
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17548: Fix step 1 of memberentry (1.43 KB, patch)
2016-11-04 09:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17548: Fix step 1 of memberentry (1.50 KB, patch)
2016-11-04 09:42 UTC, Josef Moravec
Details | Diff | Splinter Review
[PASSED QA] Bug 17548: Fix step 1 of memberentry (1.55 KB, patch)
2016-11-06 09:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-04 09:18:36 UTC
This bug has been highlighted by bug 15407.

The date limit check on the category code did not work on step 1. But after bug 15407 the script crashes with
  Can't call method "dateofbirthrequired" on an undefined value at /home/vagrant/kohaclone/members/memberentry.pl line 311.
Comment 1 Jonathan Druart 2016-11-04 09:20:52 UTC
Created attachment 57158 [details] [review]
Bug 17548: Fix step 1 of memberentry

This bug has been highlighted by bug 15407.

The date limit check on the category code did not work on step 1. But
after bug 15407 the script crashes with
  Can't call method "dateofbirthrequired" on an undefined value at
  /home/vagrant/kohaclone/members/memberentry.pl line 311.

Test plan:
- Edit "step 1" information of a patron (first 'Edit' on a patron detail
page).
- Save
=> Without this patch it BOOMs
=> With this patch, the info should be correctly saved
Comment 2 Josef Moravec 2016-11-04 09:42:26 UTC
Created attachment 57167 [details] [review]
[SIGNED-OFF] Bug 17548: Fix step 1 of memberentry

This bug has been highlighted by bug 15407.

The date limit check on the category code did not work on step 1. But
after bug 15407 the script crashes with
  Can't call method "dateofbirthrequired" on an undefined value at
  /home/vagrant/kohaclone/members/memberentry.pl line 311.

Test plan:
- Edit "step 1" information of a patron (first 'Edit' on a patron detail
page).
- Save
=> Without this patch it BOOMs
=> With this patch, the info should be correctly saved

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Katrin Fischer 2016-11-06 09:47:16 UTC
Created attachment 57227 [details] [review]
[PASSED QA] Bug 17548: Fix step 1 of memberentry

This bug has been highlighted by bug 15407.

The date limit check on the category code did not work on step 1. But
after bug 15407 the script crashes with
  Can't call method "dateofbirthrequired" on an undefined value at
  /home/vagrant/kohaclone/members/memberentry.pl line 311.

Test plan:
- Edit "step 1" information of a patron (first 'Edit' on a patron detail
page).
- Save
=> Without this patch it BOOMs
=> With this patch, the info should be correctly saved

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Kyle M Hall 2016-11-07 16:34:03 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Mason James 2016-11-30 09:11:20 UTC
bug is confirmed to not exist in 16.05, passing for 16.05